> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# İmza ile kimlik doğrulama token'ı iste

> Bir iletiyi `{signText}{time}` formatında imzalar; signText "Sign in to raydium.io: " ve time güncel Unix zaman damgasıdır (saniye cinsinden). Cüzdan bu iletiyi imzalamalı ve JWT token'ı almak için imzayı göndermelidir.



## OpenAPI

````yaml /tr/api-reference/openapi/launch-auth-v1.yaml post /request-token
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    LaunchLab ve Forum API'leri için cüzdan kimlik doğrulamasını yönetir.
    ed25519 cüzdan imzalarını doğruladıktan sonra JWT token'ları yayınlar. Forum
    API'de yorum göndermek ve içeriği yönetmek için token'lar gereklidir.
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: Kimlik doğrulama token'larını iste ve doğrula
  - name: Utilities
    description: Sistem durumu kontrol uç noktaları
paths:
  /request-token:
    post:
      tags:
        - Token Management
      summary: İmza ile kimlik doğrulama token'ı iste
      description: >-
        Bir iletiyi `{signText}{time}` formatında imzalar; signText "Sign in to
        raydium.io: " ve time güncel Unix zaman damgasıdır (saniye cinsinden).
        Cüzdan bu iletiyi imzalamalı ve JWT token'ı almak için imzayı
        göndermelidir.
      operationId: postRequestToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - signature
                - wallet
              properties:
                time:
                  type: integer
                  description: >-
                    İletinin imzalandığı güncel Unix zaman damgası (saniye
                    cinsinden)
                  example: 1704067200
                signature:
                  type: string
                  description: İletinin ed25519 imzası (base58 kodlaması)
                  example: 3veiKZ6IHo7jrz9XdwLd8KvvP2pinCtjJXWe6MGNDUjT...
                wallet:
                  type: string
                  description: Solana cüzdan genel anahtarı
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: Token başarıyla yayınlandı
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string
        '400':
          description: Geçersiz istek parametreleri
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      msg:
                        type: string
                        example: Invalid signature

````